> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Multiple Pools Data by Pool Addresses

> This endpoint allows you to **query multiple pools based on the provided network and pool address**

<Note>
  ### Note

  * Addresses not found in GeckoTerminal will be ignored.
  * If the token's market cap is not verified by the team, the API response will return `null` for its market cap value, even though it has a displayed value on GeckoTerminal, which might not be accurate as it often matches the Fully Diluted Valuation (FDV).
  * This endpoint allows querying **up to 30 contract addresses** per request.
  * Market Cap can be verified by and sourced from CoinGecko, and the number may be higher than FDV as it may include Market Cap of tokens issued on other blockchain networks.
  * Attributes specified in the `include` params will be included under the "included" key at the top level.
  * `locked_liquidity_percentage` will be updated on a daily basis.
  * Set `include_composition=true` to surface the balance and liquidity value of the pool's base and quote tokens.
  * Pools on a bonding curve (e.g. non-graduated pools from launchpads) will return `launchpad_details` object with their graduation status and migration details.
  * Cache / Update Frequency:
    * Every 60 seconds for Public API.
    * Every 10 seconds for [Pro API](https://www.coingecko.com/en/api/pricing) (Basic, Analyst, Lite, Pro, Enterprise).
</Note>


## OpenAPI

````yaml api-reference/onchain-demo.json get /networks/{network}/pools/multi/{addresses}
openapi: 3.0.0
info:
  title: Onchain DEX API (Demo)
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks/{network}/pools/multi/{addresses}:
    get:
      tags:
        - Pools
      summary: Multiple Pools Data by Pool Addresses
      description: >-
        This endpoint allows you to **query multiple pools based on the provided
        network and pool address**
      operationId: pools-addresses
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/v3.0.1/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: addresses
          in: path
          description: >-
            pool contract address, comma-separated if more than one pool
            contract address
          required: true
          schema:
            type: string
            default: '0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640'
          examples:
            one value:
              value: '0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640'
            multiple values:
              value: >-
                0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640,0x0d4a11d5eeaac28ec3f61d100daf4d40471f1852
        - name: include
          in: query
          required: false
          description: |-
            attributes to include, comma-separated if more than one to include 
             Available values: `base_token`, `quote_token`, `dex`
          schema:
            type: string
            default: base_token
          examples:
            one value:
              value: base_token
            multiple values:
              value: base_token,quote_token,dex
        - name: include_volume_breakdown
          in: query
          required: false
          description: 'include volume breakdown, default: false'
          schema:
            type: boolean
        - name: include_composition
          in: query
          required: false
          description: 'include pool composition, default: false'
          schema:
            type: boolean
      responses:
        '200':
          description: Get multiple pools on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultiPoolInfo'
components:
  schemas:
    MultiPoolInfo:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolData'
        included:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  address:
                    type: string
                  name:
                    type: string
                  symbol:
                    type: string
                  decimals:
                    type: integer
                  image_url:
                    type: string
                  coingecko_coin_id:
                    type: string
      example:
        data:
          - id: eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640
            type: pool
            attributes:
              base_token_price_usd: '4459.91960575582'
              base_token_price_native_currency: '1.0'
              base_token_balance: '5783.57638014946'
              base_token_liquidity_usd: '25794285.689214855'
              quote_token_price_usd: '0.998614899014123'
              quote_token_price_native_currency: '0.000223861979768972'
              quote_token_balance: '64655288.355199'
              quote_token_liquidity_usd: '64552255.7925259'
              base_token_price_quote_token: '4467.038132299'
              quote_token_price_base_token: '0.0002238619798'
              address: '0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640'
              name: WETH / USDC 0.05%
              pool_name: WETH / USDC
              pool_fee_percentage: '0.05'
              pool_created_at: '2021-12-29T12:35:14Z'
              fdv_usd: '11160006028.1758'
              market_cap_usd: '11166433701.589'
              price_change_percentage:
                m5: '0'
                m15: '0.027'
                m30: '0.028'
                h1: '0.039'
                h6: '-0.435'
                h24: '-0.221'
              transactions:
                m5:
                  buys: 0
                  sells: 4
                  buyers: 0
                  sellers: 4
                m15:
                  buys: 9
                  sells: 27
                  buyers: 9
                  sellers: 23
                m30:
                  buys: 23
                  sells: 43
                  buyers: 18
                  sellers: 37
                h1:
                  buys: 86
                  sells: 104
                  buyers: 56
                  sellers: 79
                h6:
                  buys: 383
                  sells: 524
                  buyers: 212
                  sellers: 388
                h24:
                  buys: 1517
                  sells: 1828
                  buyers: 740
                  sellers: 1302
              volume_usd:
                m5: '37399.6069733459'
                m15: '288043.30450079'
                m30: '365553.90171076'
                h1: '2801120.82868497'
                h6: '5475445.24298699'
                h24: '16190877.4119214'
              net_buy_volume_usd:
                m5: '-37399.6069733459'
                m15: '-106958.58061148'
                m30: '-32014.899699526'
                h1: '66459.25132413'
                h6: '-336894.73878909'
                h24: '-165843.81722825'
              buy_volume_usd:
                m5: '0.0'
                m15: '90542.361944655'
                m30: '166769.501005617'
                h1: '1433790.04000455'
                h6: '2569275.25209895'
                h24: '8012516.79734659'
              sell_volume_usd:
                m5: '37399.6069733459'
                m15: '197500.942556135'
                m30: '198784.400705143'
                h1: '1367330.78868042'
                h6: '2906169.99088804'
                h24: '8178360.61457484'
              reserve_in_usd: '90346541.3306'
              locked_liquidity_percentage: '0.0'
            relationships:
              base_token:
                data:
                  id: eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                  type: token
              quote_token:
                data:
                  id: eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                  type: token
              dex:
                data:
                  id: uniswap_v3
                  type: dex
        included:
          - id: eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
            type: token
            attributes:
              address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              name: Wrapped Ether
              symbol: WETH
              decimals: 18
              image_url: >-
                https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332
              coingecko_coin_id: weth
    PoolData:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            base_token_price_usd:
              type: string
            base_token_price_native_currency:
              type: string
            base_token_balance:
              type: string
            base_token_liquidity_usd:
              type: string
            quote_token_price_usd:
              type: string
            quote_token_price_native_currency:
              type: string
            quote_token_balance:
              type: string
            quote_token_liquidity_usd:
              type: string
            base_token_price_quote_token:
              type: string
            quote_token_price_base_token:
              type: string
            address:
              type: string
            name:
              type: string
            pool_name:
              type: string
            pool_fee_percentage:
              type: string
            pool_created_at:
              type: string
            fdv_usd:
              type: string
            market_cap_usd:
              type: string
            price_change_percentage:
              type: object
              properties:
                m5:
                  type: string
                m15:
                  type: string
                m30:
                  type: string
                h1:
                  type: string
                h6:
                  type: string
                h24:
                  type: string
            transactions:
              type: object
              properties:
                m5:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
                m15:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
                m30:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
                h1:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
                h6:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
                h24:
                  type: object
                  properties:
                    buys:
                      type: integer
                    sells:
                      type: integer
                    buyers:
                      type: integer
                    sellers:
                      type: integer
            volume_usd:
              type: object
              properties:
                m5:
                  type: string
                m15:
                  type: string
                m30:
                  type: string
                h1:
                  type: string
                h6:
                  type: string
                h24:
                  type: string
            net_buy_volume_usd:
              type: object
              properties:
                m5:
                  type: string
                m15:
                  type: string
                m30:
                  type: string
                h1:
                  type: string
                h6:
                  type: string
                h24:
                  type: string
            buy_volume_usd:
              type: object
              properties:
                m5:
                  type: string
                m15:
                  type: string
                m30:
                  type: string
                h1:
                  type: string
                h6:
                  type: string
                h24:
                  type: string
            sell_volume_usd:
              type: object
              properties:
                m5:
                  type: string
                m15:
                  type: string
                m30:
                  type: string
                h1:
                  type: string
                h6:
                  type: string
                h24:
                  type: string
            reserve_in_usd:
              type: string
            locked_liquidity_percentage:
              type: string
        relationships:
          type: object
          properties:
            base_token:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
            quote_token:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
            dex:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````